# Release Notes

## For Stakers In Supply Side

| **Project**                                                                               | **Description**                                                                                                                                                                                                                              | **Current Version**                                  | **Open Sourced** |
| ----------------------------------------------------------------------------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ---------------------------------------------------- | ---------------- |
| [**`NuLink Worker Node`**](https://github.com/NuLink-network/nulink-core/tree/crosschain) | The NuLink Worker Node is the node to provide cryptographic service in the NuLink network. It provides Proxy Re-encryption service in the Horus network and it will provide more services such as ABE, IBE, ZKP and FHE in NuLink mainnet. . | [0.5.0](/resources/release_notes/notes_worker.md)    | Yes              |
| [**`NuLink Staking Dashboard`**](https://dashboard.testnet.nulink.org/)                   | A user-friendly interface empowering stakers to efficiently manage staking activities. It allows them to stake token, bond node, monitor contributions, track rewards, and ensure the smooth operation of NuLink services.                   | [0.5.0](/resources/release_notes/notes_dashboard.md) | No               |

## For DApp Builders In Demand Side

| **Project**                                                                      | **Description**                                                                                                                                                   | **Current Version**                                  | **Open Sourced** |
| -------------------------------------------------------------------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------- | ---------------------------------------------------- | ---------------- |
| [**`NuLink Agent SDK`**](https://github.com/NuLink-network/nulink-web-agent-sdk) | The NuLink Agent-SDK provides developers with essential software development tools and resources to integrate NuLink Agent functionality into their applications. | [0.5.6](/resources/release_notes/notes_agent_sdk.md) | Yes              |
| [**`NuLink SDK`**](https://github.com/NuLink-network/nulink-sdk/tree/crosschain) | The NuLink SDK is a robust and comprehensive software development kit designed to provide developers with a wide range of capabilities.                           | [0.5.0](/resources/release_notes/notes_sdk.md)       | Yes              |

## For DApp Users In Demand Side

| **Project**                                            | **Description**                                                                                                                                                                                                                                                                                                                                                                      | **Current Version**                              | **Open Sourced** |
| ------------------------------------------------------ | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ | ------------------------------------------------ | ---------------- |
| [**`NuLink Agent`**](https://agent.testnet.nulink.org) | NuLink Agent is a web-based digital wallet that facilitates seamless communication and interaction between the NuLink network and applications.                                                                                                                                                                                                                                      | [0.5.1](/resources/release_notes/notes_agent.md) | No               |
| **`Demostration Dapp`**                                | The "File Transfer" Dapp serves as a third-party example, demonstrating the use of the NuLink Agent SDK to interact with the NuLink Agent. This showcase underscores the effortless integration and functionality made possible by the NuLink Application Layer, empowering developers to harness the capabilities of the NuLink network for secure file transfers and data sharing. | 0.5.0                                            | No               |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.nulink.org/resources/release_notes.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
